none
TLS 1.2 Support for .Net Framework 3.5 Application on Windows 2008 R2 SP1 RRS feed

  • Question

  • Hello,
    
    We recently came across KB article 
    https://support.microsoft.com/en-us/help/3154518/support-for-tls-system-default-versions-included-in-the-net-framework
    
    Which will add the support for TLS 1.2 on my application built on  .Net Framework 3.5
    Before testing this KB we setup the similar environment locally by installing Windows 2008 R2 SP1 server with this patch.
    The patch got successfully installed on our server & even we can see that the traffic has started working with TLS 1.1 or higher.
    
    When we tried to install the same patch on our our production server (Windows 2008 R2 SP1) but  it gave us the below error 
    
    ---------------------------
    Windows Update Standalone Installer
    ---------------------------
    The update is not applicable to your computer.
    
    
    ---------------------------
    OK   
    ---------------------------
    
    Please see the below screenshot of our local test PC showing same version of Windows where the patch is installed & working as well.
    http://www.pmam.com/todelete/kb.jpg
    
    Please suggest ho can we install the patch on or production server ? 
    
    Regards
    Kedar Khanderkar
      
    Wednesday, June 20, 2018 6:07 PM